# Game Bloke

![Game Bloke Portait](/pics/portrait.JPG)

The first handheld Apple IIE Emulator made tough for Australian conditions. Sturdy and resistant to the elements, Game Bloke provides the thrills and excitement of true retro-apple gaming even in the remote outback.

Game Bloke works just like a real Apple IIE, only smaller and different! Precision engineered using state-of-the-art technology, Game Bloke's miniaturised solid-state all transistor circuitry represents the peak of operational reliability.

Game Bloke's small size and ergonomic, lightweight construction make it easy to carry in your swag, saddlebags or shirt pocket. Users can rest easy knowing the solid all-metal die cast case is proofed against spiders, venomous snakes, bunyips and a wide range of other native wildlife.

Game Bloke brings the world of yesterday to tomorrow, today!


## The Idea

Game Bloke was inspired by the ground-breaking [Aiie!](http://github.com/JorjBauer/aiie) project and incorporates many innovative and useful new features such as:
* Enclosed - Can sit in a puddle of beer without shorting out.
* Power Switch - Accepting of the fact you might not want to play all day, every day.
* Programmable keypad matrix - Only the keys you want. Choose what keystroke is generated by which key. Joystick and buttons are also programmable.
* USB Keyboard interface - All the other keys as well. All Apple keys supported, works with wireless keyboards.
* Power Management System - The 2600mAh Lipo battery suits the most demanding usage with automatic smart charger onboard.  
* RGB Power/Status indicator - See power activation, battery status and disk activity at a glance.
* Clicky digital joystick - With Atari Joyport emulation and absolute/relative analog modes it's better than the real thing.
* Authentic Sound Reproduction - A powerful 1/4 watt hifi amplifier drives a compact wide-range permanent magnet speaker.
* Save/Restore State - Save the current memory image out to disk and reload it at any time to make cheating easy.
* Sync Screen/Sound - Choose the focus of your experience for even more accurate emulation with this useful feature.
* Debug Modes - Not required in normal use as all bugs are intentional.
* Reset Button - Also not required. All crashes are authentically emulated. 


## The Build

![Game Bloke on the workbench](/pics/desktop.JPG)

The basic GameBloke electrical design is a marvel of simplicity.

![Game Bloke Circuit Diagram](/pics/GameBloke.png)

Game Bloke was built in a modular fashion to assist with future servicing which will not be required.

![Motherboard in pieces](/pics/cpuapart.JPG)

No expense was spared in the intricate design process.

![Back of the motherboard](/pics/cpuback.JPG)

Precision routing ensures signal integrity in adverse conditions.

![Front of the motherboard](/pics/cpufront.JPG)

High tolerance construction methods result in a compact hybrid electronic brain module.

![Motherboard and screen together](/pics/sandwich.JPG)

Futuristic techniques were leveraged to deliver key structural members.

![Keyboard matrix support 3D model](/pics/keysupport.JPG)

Special care was given to impart maximum resilience to interactive elements.

![Keyboard construction](/pics/keyboard.JPG)

The component parts fit neatly together in a symphony of arrangement.

![Motherboard and front panel](/pics/screenoff.JPG)

The completed assembly demonstrates an elegance and beauty only truly inspired engineering can bring.

![Front panel assembled](/pics/inside.JPG)

Stout construction assures reliability in even the most difficult circumstances.

![Front panel assembled side view](/pics/sideon.JPG)

All parts are solidly retained against high impact events and fully shielded from radiation.

![Inside the back](/pics/insideback.JPG)

The final result speaks for itself. The bold lines and attractive styling lend a touch of class to any bush camp.

![Fully assembled](/pics/front.JPG)


## The BIOS

The user interactive BIOS control menu is a menu for user interaction and control of the BIOS. Intuitive user actions allow all functions of Game Bloke to be manipulated. Virtual peripherals and hardware settings are available at the touch of a button.

![BIOS Menu Screen Shot](/pics/screen.JPG)


## Special Offer!

Due to high demand the initial production run of one unit was quickly snapped up. The Game Bloke is currently only available through the exclusive one time only special "Build Your Own" deal. Sign up today!

